FROM debian:buster AS builder

ARG PREFIXV
ARG VERSION

RUN apt-get update && \
    apt-get install -y wget unzip maven openjdk-11-jdk && \
    wget https://github.com/jitsi/jitsi-videobridge/archive/${PREFIXV}${VERSION}.zip -O jvb.zip

RUN unzip jvb.zip && \
    mv jitsi-videobridge*${VERSION} jvb && \
    cd jvb && \
    mvn package  -DskipTests && \
    ls jvb/target && \
    unzip jvb/target/jitsi-videobridge*.zip && \
    mv jitsi-videobridge-*-SNAPSHOT build

FROM debian:buster

RUN apt-get update && \
    apt-get install -y openjdk-11-jre-headless

COPY --from=builder /jvb/build /srv/jvb
ENV HOME=/root
WORKDIR /root
COPY jvb_run /usr/local/bin/jvb_run

ENV JAVA_SYS_PROPS="-Dnet.java.sip.communicator.SC_HOME_DIR_LOCATION=/root -Dnet.java.sip.communicator.SC_HOME_DIR_NAME=.sip-communicator -Dnet.java.sip.communicator.SC_LOG_DIR_LOCATION=/var/log/jitsi"

CMD ["/usr/local/bin/jvb_run"]
